Bug 1919231 - quick search modal cut off on smaller screens
Summary: quick search modal cut off on smaller screens
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Vikram Raj
QA Contact: Jaivardhan Kumar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-22 12:26 UTC by Vikram Raj
Modified: 2021-02-24 15:55 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:55:29 UTC
Target Upstream Version:


Attachments (Terms of Use)
quick search modal cut off on smaller screens (338.00 KB, image/png)
2021-01-22 12:26 UTC, Vikram Raj
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7902 0 None closed Bug 1919231: fix topology quick search modal layout 2021-02-10 09:56:33 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:55:49 UTC

Description Vikram Raj 2021-01-22 12:26:27 UTC
Created attachment 1749741 [details]
quick search modal cut off on smaller screens

Description of problem:
The quick search modal contents aren't scrollable and on small screens, the contents are displayed beyond the bounds of the modal container.

Prerequisites (if any, like setup, operators/versions):

Steps to Reproduce
1. go to topology
2. open the quick search
3. input a search that results in at least 5 results 
4. resize the screen to reduce the available vertical space

Actual results:
see attachment

Expected results:
contents should shrink and be scrollable

Reproducibility (Always/Intermittent/Only Once):
always

Build Details:
4.7.0-0.nightly-2020-12-14-165231

Additional info:

Comment 2 Jaivardhan Kumar 2021-02-01 10:52:21 UTC
Verified on

OpenShift version
4.7.0-0.nightly-2021-01-31-031653
Kubernetes version
v1.20.0+3b90e69
Channel
stable-4.7

Comment 5 errata-xmlrpc 2021-02-24 15:55:29 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.